<?php

namespace Application\Entity;

use Doctrine\ORM\EntityRepository;

/**
 * KeywordRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class KeywordRepository extends EntityRepository
{
    public function getByTag($tag)
    {
        $row = $this->find($tag);

        if (!$row) {
            $row = new Keyword();
            $row->setTag($tag);
        }

        return $row;
    }
}
